Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-1344 CVE-2014-1384 CVE-2014-1385 CVE-2014-1386 CVE-2014-1387 CVE-2014-1388 CVE-2014-1389 CVE-2014-1390 CVE-2013-2871 CVE-2013-2875 CVE-2013-2927 CVE-2014-1292 CVE-2014-1297 CVE-2014-1298 CVE-2014-1299 CVE-2014-1300 CVE-2014-1303 CVE-2014-1304 CVE-2014-1305 CVE-2014-1307 CVE-2014-1308 CVE-2014-1309 CVE-2014-1311 CVE-2014-1313 CVE-2014-1323 CVE-2014-1326 CVE-2014-1329 CVE-2014-1330 CVE-2014-1331 CVE-2014-1333 CVE-2014-1334 CVE-2014-1335 CVE-2014-1336 CVE-2014-1337 CVE-2014-1338 CVE-2014-1339 CVE-2014-1341 CVE-2014-1342 CVE-2014-1343 CVE-2014-1346 CVE-2014-1713 CVE-2014-1731
TreeView+ depends on / blocked
 
Reported: 2015-01-12 11:14 UTC by Vasyl Kaigorodov
Modified: 2015-12-02 19:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:17:08 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-12 11:14:59 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-21 tracking bug for webkitgtk3: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2015-01-12 11:15:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181090,1181092

# Description of your update
notes=Security fix for CVE-2014-1344

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181090,1181092

Comment 2 Vasyl Kaigorodov 2015-01-27 10:48:16 UTC
Adding parent bug 1186231 (for CVE-2013-2871).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231

# Description of your update
notes=Security fix for CVE-2014-1344, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1388, CVE-2014-1389, CVE-2014-1390, CVE-2013-2871

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231

Comment 3 Vasyl Kaigorodov 2015-01-27 10:48:46 UTC
Adding parent bug 1186232 (for CVE-2013-2875).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232

# Description of your update
notes=Security fix for CVE-2013-2871, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1344, CVE-2014-1390, CVE-2014-1388, CVE-2014-1389, CVE-2013-2875

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232

Comment 4 Vasyl Kaigorodov 2015-01-27 10:49:17 UTC
Adding parent bug 1186233 (for CVE-2013-2927).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232

# Description of your update
notes=Security fix for CVE-2014-1390, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1344, CVE-2013-2871, CVE-2014-1388, CVE-2014-1389, CVE-2013-2875, CVE-2013-2927

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232

Comment 5 Vasyl Kaigorodov 2015-01-27 10:49:50 UTC
Adding parent bug 1186234 (for CVE-2014-1292).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234

# Description of your update
notes=Security fix for CVE-2013-2871, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1344, CVE-2013-2927, CVE-2014-1390, CVE-2014-1388, CVE-2014-1389, CVE-2013-2875, CVE-2014-1292

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234

Comment 6 Vasyl Kaigorodov 2015-01-27 10:50:24 UTC
Adding parent bug 1186236 (for CVE-2014-1297).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234,1186236

# Description of your update
notes=Security fix for CVE-2014-1390, CVE-2014-1292, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1344, CVE-2013-2927, CVE-2013-2871, CVE-2014-1388, CVE-2014-1389, CVE-2013-2875, CVE-2014-1297

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234,1186236

Comment 7 Vasyl Kaigorodov 2015-01-27 10:51:02 UTC
Adding parent bug 1186237 (for CVE-2014-1298).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234,1186236,1186237

# Description of your update
notes=Security fix for CVE-2013-2871, CVE-2014-1388, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1344, CVE-2013-2927, CVE-2014-1297, CVE-2014-1390, CVE-2014-1292, CVE-2014-1389, CVE-2013-2875, CVE-2014-1298

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234,1186236,1186237

Comment 8 Vasyl Kaigorodov 2015-01-27 10:51:37 UTC
Adding parent bug 1186238 (for CVE-2014-1299).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234,1186236,1186237,1186238

# Description of your update
notes=Security fix for CVE-2014-1390, CVE-2014-1292, CVE-2014-1384, CVE-2014-1385, CVE-2014-1386, CVE-2014-1387, CVE-2014-1344, CVE-2014-1298, CVE-2013-2927, CVE-2014-1297, CVE-2013-2871, CVE-2014-1388, CVE-2014-1389, CVE-2013-2875, CVE-2014-1299

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1181092,1181090,1181095,1181096,1181098,1181099,1181101,1181102,1181103,1186231,1186232,1186233,1186234,1186236,1186237,1186238

Comment 9 Michael Catanzaro 2015-05-18 14:12:17 UTC
I guess something went wrong here, because all of these were fixed for F21 in the 2.4.8 update months ago. I think this bug and the bajillion dependent bugs can probably be closed, since it's filed against F21, but I'm not sure what the security team's policy for this is.

Regarding F20: we don't know how many of these affect F20, but probably most of them do. They can't really be fixed for F20 because we (WebKitGTK+ upstream) can't release fixes as patches due to Apple security policy (the vulnerabilities are public and the SVN history is of course public, but the association between fixes in SVN and CVEs is confidential), so the only reasonable option is to update to 2.4.8 (or just live with the bugs forever).

Comment 10 Fedora End Of Life 2015-11-04 10:43:55 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Jan Kurik 2015-12-02 19:03:36 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.